.wrap {
    margin: 20px auto;
}

.block {
    display: block;
}

.block .head {
    display: block;
    height: 80px;
}

@media (max-width: 790px) {
    .head h1 {
        display: inline-block;
    }
}

@media (max-width: 590px) {
    .block .head {
        height: 80px!important;
    }
}

.more {
    float: right;
    margin-top: 12px;
}

.more a {
    border-radius: 6px;
    height: auto!important;
    padding: 4px 16px;
}